/*
  L3G4200 (GY-50) Gyro Modülü Arduino ile Nasıl Kullanılır?
 
  L3G4200 (GY-50) Gyro modülünün detaylı açıklaması ve örnek projelerini
  web sitemizde bulabilirsiniz.
 
  Mete Hoca
  https://www.metehoca.com/
*/

#include <Wire.h>           // Dahili I2C kütüphanesi
#include <L3G.h>            // Pololu'nun L3G kütüphanesi

L3G gyro;                   // Kütüphane tanımlanıyor

void setup() {
  Serial.begin(9600);       // Seri Port Ekranı başlatılıyor
  Wire.begin();             // I2C kütüphanesi başlatılıyor
  gyro.init();              // Gyro kütüphanesi başlatılıyor
  gyro.enableDefault();     // Gyro okumayı başlatıyoruz
}

void loop() {
  gyro.read();              // Gyro verileri okunuyor
  Serial.print("X:");       // Seri Çizici için etiket
  Serial.print(gyro.g.x);   // X ekseni yazılıyor
  Serial.print("\t");       // Seri Çizici için bitirme işareti

  Serial.print("Y:");
  Serial.print(gyro.g.y);   // Y ekseni yazılıyor
  Serial.print("\t");

  Serial.print("Z:");
  Serial.println(gyro.g.z); // Z ekseni yazılıyor

  delay(100);               // Okumalar arasında biraz bekleyelim
}
